<?php
function theme_guide(){
add_theme_page( 'Theme guide','Theme documentation','edit_themes', 'theme-documentation', 'w2f_theme_guide');
}
add_action('admin_menu', 'theme_guide');

function w2f_theme_guide(){
		echo '<div class="wrap">
		<div id="icon-options-general" class="icon32"><br></div>
		<h2>Theme Documentation</h2>
		
		<div class="metabox-holder">
		<div class="postbox-container" style="width:70%;">
		
		
		
				<div class="postbox"> <!-- postbox begin -->
						<h3 class="hndle"> <span> Theme License </span> </h3>
						
						<div class="inside">
						<p>	The PHP code of the theme is licensed under the GPL license as is WordPress itself. You can read it here: http://codex.wordpress.org/GPL. 
  							All other parts of the theme including, but not limited to the CSS code, images, and design are licensed for free personal usage.  </p>
  								<p> You are requested to retain the credit banners on the template. </p>
  								<p> You are allowed to use the theme on multiple installations, and to edit the template for your personal use. </p>
  								<p> You are NOT allowed to edit the theme or change its form with the intention to resell or redistribute it. </p>  
  								<p> You are NOT allowed to use the theme as a part of a template repository for any paid CMS service. </p>
							
						</div>
				</div> <!-- postbox end -->
				
				
				<div class="postbox"> <!-- postbox begin -->
						<h3 class="hndle"> <span> About the theme </span> </h3>
						
						<div class="inside">
						<p>	Iridium is a WordPress theme to be used as a landing page for mobile apps. The homepage of the theme is built in such a fashion to showcase an iPhone app and its features, screenshot etc.  </p>
  			
						<b>Custom header</b>
							<p>This theme features the custom header option. The following screencast shows you how to setup custom headers.</p>
							
							<p><iframe src="http://www.screenr.com/embed/F9E8" width="650" height="396" frameborder="0"></iframe></p>
							
						<b>Create a blog page.</b>
						<p>The homepage of this theme is built to feature an iphone app. So then where can you list yur blog posts. I have created a custom page template called"Blog" just for that.  Simply create a new page. Name it Blog and then select the Blog page template from the template selections under page attributes. Your blog listings will be available on this page. </p>	
						</div>
				</div> <!-- postbox end -->
		
		
		    	<div class="postbox"> <!-- postbox begin -->
						<h3 class="hndle"> <span> Theme options explained </span> </h3>
						
						<div class="inside">
						
						<h4>App options</h4>
						<p>A set of options to configure the app featuring section on the homepage.</p>
						
						<b> 1. App screenshot </b>
						<p>	There will be an iphone featuring on the homepage header. You will be able to set an image as the screen of this iphone. You can select an image and it will crop and resize to fit the iphone screen image. </p>
						
						<b> 2. App details title </b>
  						<p> To the right of the iphone you have a section to post the details about this app. Enter a title for your app introduction here. </p>
							
						<b> 3. App details </b>	
						<p>A more detailed paragraph about the app you are promoting can go here. </p>
						
						<b> 4. App store link.</b>
						<p> Below the app details resides a yellow button that leads to the App store for app purchase. Please enter the App store link to your particular app.</p>	
						
						
						
						<h4>Homepage options</h4>
						<p>This set of options lets you customize the homepage section.</p>
						
						<b> 1. Number of posts on homepage</b>
						<p> Homepage displays a selected number of posts from your blog. You can set the number of posts to be displayed from here.</p>	
						
						<b> 2. Twitter Id</b>	
						
						<p>There is a twitter widget on the homepage. You can set the twitter id from here. </p>	
						
						<b> 3. Testimonial </b>	
						
						<p>This is for a testimonial section on the homepage. You can enter a testimonial message and the name of the person through this option.  </p>	
							
						<h4>Banner setting</h4>
						<p>This option lets you adjust the ad banners on the sidebar</p>	
							
						</div>
				</div> <!-- postbox end -->	
				
				
					
		
		
		</div>
		</div>
		
		
		
		</div>';
}

 ?>