<?php get_header(); ?>



<div id="feature-widget-area">
	
	<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Features') ) : else : ?>
	<?php endif; ?>
	<div class="clear"></div>
</div>		


<div class="testim grid_6">
	<div class="testimonial"> <?php echo of_get_option('w2f_testimonial'); ?> </div>
	<div class="person">  <?php echo of_get_option('w2f_person'); ?>  </div>
</div>

<div id="miniblog" class="grid_4">
	<h3>From the blog</h3>
	
	<ul class="minipost">
	
<?php
$count = of_get_option('w2f_homecount');
$args = array( 'numberposts' => $count );
$postslist = get_posts( $args );
foreach ($postslist as $post) :  setup_postdata($post); ?> 
	<li>
		<h4><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h4> 
		<?php wpe_excerpt('wpe_excerptlength_index', ''); ?>
	</li>
	
<?php endforeach; ?>
	
 	</ul>

</div>

<div id="tweetz" class="grid_2">
	<h3>From twitter</h3>

    <?php
    //Path to include feed.php file located in wp-includes folder.
    include_once(ABSPATH . WPINC . '/feed.php');
 
    //Retrieves the feed and parses it. Specify the feed URL. This is my feed, put yours.
    $mytwitter = of_get_option('w2f_twitter'); 	
    $rss = fetch_feed('http://twitter.com/statuses/user_timeline/'.$mytwitter.'.rss');
 
    $tweetnumber = 4;  /** How many tweets you want to show. Must be >= 1 **/
    $maxitems = $rss->get_item_quantity($tweetnumber);
 
    $firstitem = 0; /** Specify the first item. 0 to start from the newest tweet. **/
    $rss_items = $rss->get_items($firstitem, $maxitems);
    ?>
 
    <div class="twitter-list">
        <ul>
        <?php
        if ($maxitems == 0)
                echo '<li>No Tweets Yet!</li>';
        else
        //Loop through each feed item and display it as a link.
        foreach ( $rss_items as $item ) { ?>
            <li>
            <!-- Get the tweet item title as an external link.-->
            <a href='<?php echo $item->get_permalink(); ?>' target="_blank" title="External Link&#8230;" rel="nofollow">
            <?php echo $item->get_title(); ?></a> <br />
            <!-- Get the tweet item date.-->
            <span><?php echo 'Posted: ' . $item->get_date(); ?></span>
            </li>
        <?php } ?>
        </ul>
    </div>


</div>

<?php get_footer(); ?>